Bug 489983 - gdm starts 6 X servers, which seems to cause login to fail
gdm starts 6 X servers, which seems to cause login to fail
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 14:42 EDT by Jason Merrill
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 03:15:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Merrill 2009-03-12 14:42:21 EDT
Description of problem:

Booting the test day live image (http://katzj.fedorapeople.org/rawhide-i686-20090312.0.iso) gets me to the GDM screen, but then login stops at a black screen.  I switched to VT 2 to kill the X server, and noticed there were 6 running, for :0 through :5.  I brought this up on IRC, and halfline suggested that I change HOSTNAME in /etc/sysconfig/network to foobar and also add that to the 127.0.0.1 entry in /etc/hosts.  Doing that fixed the multiple X servers issue, and also fixed login.

He said he had checked in a fix this morning, so this report is just for reference.

Version-Release number of selected component (if applicable):

gdm-2.25.2-15.fc11.i586

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2009-06-09 08:11:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jason Merrill 2009-06-14 15:15:31 EDT
Worked fine in the 0331 testday ISO.

Note You need to log in before you can comment on or make changes to this bug.